Bug 435958 - F9 - general protection fault: 0000 [1] SMP DEBUG_PAGEALLOC
F9 - general protection fault: 0000 [1] SMP DEBUG_PAGEALLOC
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 12:18 EST by Gerald Cox
Modified: 2008-03-06 08:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.25-0.90.rc3.git5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 08:22:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (59.29 KB, text/plain)
2008-03-04 12:20 EST, Gerald Cox
no flags Details
Error Message Log (381 bytes, text/plain)
2008-03-04 12:21 EST, Gerald Cox
no flags Details

  None (edit)
Description Gerald Cox 2008-03-04 12:18:16 EST
Description of problem:

applied kernel-2.6.25-0.87.rc3.git4.fc9.x86_64

now receiving
kernel:  general protection fault:  0000 [1] SMP DEBUG_PAGEALLOC

then system eventually locks...backed out to kernel-2.6.25-0.82.rc3.git2.fc9.x86_64


Version-Release number of selected component (if applicable):
kernel-2.6.25-0.87.rc3.git4.fc9.x86_64


How reproducible:
Boot kernel-2.6.25-0.87.rc3.git4.fc9.x86_64


Steps to Reproduce:
1. Boot kernel-2.6.25-0.87.rc3.git4.fc9.x86_64
2. Wait for message
3. System eventually locks up
  
Actual results:

Receive error message
System eventually locks

Expected results:
Normal operation

Additional info:
dmesg and error message attached.
Comment 1 Gerald Cox 2008-03-04 12:20:26 EST
Created attachment 296765 [details]
dmesg log
Comment 2 Gerald Cox 2008-03-04 12:21:01 EST
Created attachment 296766 [details]
Error Message Log
Comment 3 Dave Jones 2008-03-04 13:11:51 EST
john, this looks like b43 is corrupting memory to me.  a use after free perhaps?
Comment 4 John W. Linville 2008-03-04 13:49:54 EST
Michael, for reference this kernel corresponds to the top of the 
current "pending" branch in wireless-testing, as well as all the current fixes 
sent to 2.6.25.  Have you seen anything similar reported?
Comment 5 John W. Linville 2008-03-04 13:53:57 EST
Gerald, what was the last working kernel for you?
Comment 6 Michael Buesch 2008-03-04 14:00:10 EST
Didn't see that before, but to me it looks more like a mac80211 bug or memory
corruption.
Comment 7 Gerald Cox 2008-03-04 14:10:23 EST
I backed out to:
kernel-2.6.25-0.82.rc3.git2.fc9.x86_64

and it is working fine with no error message or lockup so far.  I also didn't
have the problem with any of the other F9 Alpha kernels.

I receive the error message with the git4 kernel about 1 or two minutes after
boot.  Lockup then varies depending on what I am doing.  I have to poweroff to
reboot.
Comment 8 Michael Buesch 2008-03-04 14:16:19 EST
see #435962
Comment 9 John W. Linville 2008-03-05 13:05:52 EST
Gerald, please try kernel-2.6.25-0.90.rc3.git5.fc9.  It has a patch that cured 
a similar problem in yesterday's F8 kernels.

   http://koji.fedoraproject.org/koji/buildinfo?buildID=41348

Does that resolve things for you?
Comment 10 Gerald Cox 2008-03-05 16:50:45 EST
John,

kernel-2.6.25-0.90.rc3.git5.fc9 appears to have resolved the problem.  The only
thing I noticed was I needed to re-enter my WPA key after the first boot.  After
that, the settings were saved.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.